Skip to main content
GET
Get a consent signing key

Authorizations

Authorization
string
header
required

Bearer and DPoP tokens are supported depending on the API configuration

Scopes

read:me:consent_signing_keys

Path Parameters

kid
string
required

The identifier of the consent signing key. This value is returned as kid when the key is registered.

Maximum string length: 128

Response

Successfully retrieved consent signing key

Summary of a consent signing key registered for a user.

kid
string
required

The key identifier Auth0 assigned to this key.

Required string length: 1 - 128
device_identifier
string
required

A human-readable label for the device holding the corresponding private key.

Required string length: 1 - 128
created_at
string<date-time>
required

When the key was registered.

expires_at
string<date-time>
required

When the key expires and can no longer be used to verify consent decisions.